package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestaRepository;
import com.realnet.basicp1.Entity.Testa
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;










import com.realnet.basicp1.Entity.Country;
import com.realnet.basicp1.Services.CountryService;



	import org.springframework.stereotype.Service;

@Service
 public class TestaService {
@Autowired
private TestaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;









@Autowired
	private CountryService order_summaryserv;

public Testa Savedata(Testa data) {











 
if (data.getOrder_summary() != null) {
		try {	
  int order_summaryId = Integer.valueOf(data.getOrder_summary());
Country get =  order_summaryserv.getdetailsbyId(order_summaryId);
			if (get != null) {

			data.setOrder_summaryidentifier(get.getName());
}
} catch (NumberFormatException e) {
				System.out.println(" order_summaryId is not integer..");
				// Invalid integer string — ignore or log
			}

		}

 


	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testa save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testa> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testa> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testa> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testa getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testa update(Testa data,Integer id) {
	Testa old = Repository.findById(id).get();
old.setS_name(data.getS_name());

old.setText_field(data.getText_field());

old.setNumber_field(data.getNumber_field());

 

 

old.setOrder_summary(data.getOrder_summary());

final Testa test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
